Bug 465684 - Fedora 10 beta live cd crashes starting udev
Fedora 10 beta live cd crashes starting udev
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 467556 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 11:01 EDT by Mark Locascio
Modified: 2014-12-09 23:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
malocascio: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Mark Locascio 2008-10-05 11:01:36 EDT
Description of problem:
I downloaded and burned the Fedora 10 beta live cd. I popped into an old P3 Dell Inspiron 8000. The splash screen shows up, and I tell it to boot. It gets to the "Starting udev" message, then dumps a stack trace and goes into kernel panic (flashing caps and scroll lock lights). I used this same CD in a newer Inspiron 8600 (Pentium M), and it boots just fine.

Version-Release number of selected component (if applicable):
?

How reproducible:
Every time

Steps to Reproduce:
1. Get an old Dell laptop
2. Try to boot the F10 beta live cd in it
3.
  
Actual results:
Crashes

Expected results:
Boots

Additional info:
Haven't figured out yet how to provide the stack trace... if you know how to extract it from the frozen machine, let me know and I'll post it.
Comment 1 Mark Locascio 2008-10-06 00:19:08 EDT
I downloaded the non-live install DVD. Install went fine, computer boots from HDD. Seems like it's just a live CD problem.
Comment 2 Harald Hoyer 2008-10-14 12:00:31 EDT
please add "modprobedebug" to the kernel command line, if you boot the live CD
Comment 3 Mark Locascio 2008-10-18 10:57:53 EDT
I added modprobedebug to the kernel command line. The last module I can see before it dumps the stack and panics is yenta_socket. Another one right after it may be the actual cause, but it happens too fast after yenta_socket.

Let me know if you need more info, I'll try to help.
Comment 4 Chuck Ebbert 2008-10-22 01:19:34 EDT
(In reply to comment #4)
> Haven't figured out yet how to provide the stack trace... if you know how to
> extract it from the frozen machine, let me know and I'll post it.

Take a picture with a digital camera and attach that.
Comment 5 Harald Hoyer 2008-10-22 10:33:38 EDT
or log the kernel messages via a serial console
Comment 6 Mark Locascio 2008-10-26 02:21:47 EDT
The problem just got much weirder. I tried to log the message through a serial console, but I couldn't do it because it started booting properly. After trying several things, I realized that it only crashes when I DON'T add console=ttyS0,9600 to the kernel line in grub! If I use console=tty1 instead, it crashes. If I don't add anything, it crashes. If I add modprobedebug WITHOUT ttyS0, it crashes.

So the only way to get the output to you is what makes it not crash. Go figure. What would you suggest we do to get to the bottom of this now?
Comment 7 Bug Zapper 2008-11-25 22:34:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 François Cami 2009-02-05 19:10:46 EST
Mark,
Did that happen with F10 as released too ?
Comment 9 Mark Locascio 2009-02-08 15:31:43 EST
Yes. Please also see bug 467556.

The "console=ttyS0,9600" workaround still works with the newest kernel, 2.6.27.12-170.2.5.fc10.i686.
Comment 10 François Cami 2009-02-08 18:22:07 EST
*** Bug 467556 has been marked as a duplicate of this bug. ***
Comment 11 François Cami 2009-02-08 18:24:36 EST
Mark,
Could you add full dmesg output as _uncompressed text_ attachment to this bug ?
The output of "lspci -v" and "cat /proc/interrupts" would be useful as well.
Comment 12 Bug Zapper 2009-11-18 03:31:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:30:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.